//
//  iPhonePhotoPickerSampleAppDelegate.m
//  iPhonePhotoPickerSample
//
//  Created by Andrew Reitz on 3/11/08.
//  Copyright __MyCompanyName__ 2008. All rights reserved.
//

#import "iPhonePhotoPickerSampleAppDelegate.h"
#import "PhotoPickerDelegate.h"

@implementation iPhonePhotoPickerSampleAppDelegate

@synthesize window;
@synthesize navigationController;

- (void)applicationDidFinishLaunching:(UIApplication *)application {	
	// Create window
	self.window = [[[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]] autorelease];

	// Create a new delegate object. It is a UIViewController that implements the necessary delegate interface for the
	// UIImagePickerController object that will be instantiated later.
	PhotoPickerDelegate *photoPickerDelegate = [[PhotoPickerDelegate alloc] init];
	navigationController = [[UINavigationController alloc] initWithRootViewController:photoPickerDelegate];
	
	// Set up content view
	[window addSubview:[navigationController view]];
    
	// Show window
	[window makeKeyAndVisible];

	// Try to bring up the image picker
	if (![UIImagePickerController isSourceTypeAvailable: UIImagePickerControllerSourceTypePhotoLibrary]) {
		// The photo library is unavailable. Do something 'bout that.
		NSLog (@"Photo Library is unavailable");
	} else {
		// Get the image picker going. Basically, we make a new object, set some properties on it, and then tell it to
		// present itself. The key is to send the presentation message to the UINavigationController instance,
		// otherwise the image picker won't present properly.
		UIImagePickerController *picker = [[UIImagePickerController alloc] initWithRootViewController:photoPickerDelegate];
		picker.sourceType = UIImagePickerControllerSourceTypePhotoLibrary;
		picker.allowsImageEditing = NO;
		picker.delegate = photoPickerDelegate;
		
		// Picker is displayed asynchronously.
		[navigationController presentModalViewController:picker animated:YES];
	}

} // End applicationDidFinishLaunching:

- (void)dealloc {
	[navigationController release];
	[window release];
	[super dealloc];
}

@end
