//
//  PhotoPickerDelegate
//  iPhonePhotoPickerSample
//
//  Created by Andrew Reitz on 3/11/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "PhotoPickerDelegate.h"


@implementation PhotoPickerDelegate

- (id)init
{
	if (self = [super init]) {
		// Initialize your view controller.
		self.title = @"PhotoPickerDelegate";
	}
	return self;
}

// This is fired by the UIImagePickerController object, once a user has chosen an image.
- (void)imagePickerController:(UIImagePickerController *)picker didFinishPickingImage:(UIImage *)image editingInfo:(NSDictionary *)editingInfo
{
	NSLog (@"didFinishPickingImage fired");
	
	// Use the image that was selected.
	[self useImage:image];
	// Dismiss the picker
    [picker dismissModalViewControllerAnimated:YES];
}

// This method is fired by the UIImagePickerController object if the user cancels choosing an image.
- (void)imagePickerControllerDidCancel:(UIImagePickerController *)picker
{
	[picker dismissModalViewControllerAnimated:YES];
	// Just quit the app.
	exit (1);
}

// Implement this method in your code to do something with the image.
- (void)useImage:(UIImage*)theImage
{
	NSLog (@"Got image object: %@", theImage);
}


- (void)loadView
{
	// Create a custom view hierarchy.
	UIView *view = [[UIView alloc] initWithFrame:[UIScreen mainScreen].applicationFrame];
	view.autoresizingMask = UIViewAutoresizingFlexibleHeight|UIViewAutoresizingFlexibleWidth;
	self.view = view;
	[view release];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
	// Return YES for supported orientations.
	return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (void)didReceiveMemoryWarning
{
	[super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview.
	// Release anything that's not essential, such as cached data.
}

- (void)dealloc
{
	[super dealloc];
}


@end
